Page MenuHomePhabricator

enable arbitrary access on tr.wiktionary
Closed, ResolvedPublic2 Estimated Story Points

Description

Turkish Wiktionary wants to access the data in Wikidata's items. We need to enable arbitrary access there to make this possible.

Event Timeline

Hi, according to https://noc.wikimedia.org/conf/InitialiseSettings.php.txt WikibaseClient it should be available on all Wiktionaries?
If it is not, please provide steps to reproduce the problem, what you'd expect, and what happens instead. See https://mediawiki.org/wiki/How_to_report_a_bug

Additionally, main namespace on all Wiktionaries are not allowed for Wikidata linking, their interwiki links are provided by Cognate

Lydia_Pintscher renamed this task from Adding wikibase client to tr.wiktionary to enable arbitrary access on tr.wiktionary.Sep 16 2018, 9:00 AM
Lydia_Pintscher updated the task description. (Show Details)

Yeah, I did checked the page before this task. But on this page:

https://tr.wiktionary.org/wiki/Mod%C3%BCl:kategori_a%C4%9Fac%C4%B1/dil

There is a line:

local URL = mw.wikibase.getEntityUrl(wikidataItem)

This line should get the url but it doesn’t do the job like it’s english wiktionary version. And when I try to remove “mw.wikibase” from it condition it says “wikibase” is a nil value.

I started a conversation on the talk page of the client and someone answered me that this is disabled on all wiktionaries except English. Link:

https://www.mediawiki.org/wiki/Topic:Ukq8qcpm8lmfxg0e

Addshore triaged this task as Medium priority.Sep 19 2018, 7:02 AM

Change 470224 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[operations/mediawiki-config@master] Enable Wikidata data access on trwiktionary

https://gerrit.wikimedia.org/r/470224

hoo added a subscriber: hoo.

Scheduled deployment of this on Monday (Oct 29) 18:00-19:00 UTC.

Change 470224 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Wikidata data access on trwiktionary

https://gerrit.wikimedia.org/r/470224

Mentioned in SAL (#wikimedia-operations) [2018-10-29T18:13:26Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable Wikidata data access on trwiktionary (T204419) (duration: 00m 48s)

The change mentioned above got deployed, but I just noticed that we also need to add trwiktionary to dblists/wikidataclient.dblist. I'll take care of this and make sure it gets deployed today or tomorrow.

Thank you so much for the change. It seems fine right now.

Change 470638 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[operations/mediawiki-config@master] Add trwiktionary to wikidataclient.dblist

https://gerrit.wikimedia.org/r/470638

Change 470638 merged by jenkins-bot:
[operations/mediawiki-config@master] Add trwiktionary to wikidataclient.dblist

https://gerrit.wikimedia.org/r/470638

Mentioned in SAL (#wikimedia-operations) [2018-10-31T23:50:17Z] <tgr@deploy1001> Synchronized dblists/wikidataclient.dblist: SWAT: [[gerrit:470638|Add trwiktionary to wikidataclient.dblist (T204419)]] (duration: 00m 53s)